#include "mbed.h"
#include <string.h>
#include <stdint.h>
#include <stdlib.h>

DigitalOut myled(LED1);

SPISlave device(p5, p6, p7, p8); // mosi, miso, sclk, ssel
Serial serial(USBTX, USBRX);

int main() {
    // 8bit mode=0
    device.format(8,0);
    // freq = 3.81kHz
    device.frequency(3810);
    serial.baud(115200);
    serial.printf("start\n");
    
    while(1) {
        char c;
        // wait data available
        while(!device.receive());
        
        c = device.read();

        serial.printf("%c",c);
        myled = !myled;
    }
}
